#ifndef _DIS_BODY_ENCODE_H_
#define _DIS_BODY_ENCODE_H_

#ifdef __cplusplus
#if __cplusplus
extern "C" {
#endif /* __cpluscplus */
#endif /* __cpluscplus */

#include "stdio.h"
#include "stdlib.h"
#include "string.h"
#include "dis.h"

#define DIS_APPEND_CHAR(_current,  _char) \
	{ \
		_current[0] = _char; \
		_current+=1; \
	}

#define DIS_APPEND_STRING(_current, _len, _str, _loop) \
	{ \
		for(_loop = 0; _loop < _len; _loop++) \
		{ \
			_current[_loop] = _str[_loop]; \
		} \
		_current+=_len; \
	}

int DisBodyEncodeStream(DISCreateStream *streamInfo, char *data, int *bodyLen, int bodyMaxLen);

int DisBodyEncodeAppName(char  *appName, char *data, int *bodyLen, int bodyMaxLen);

int DisBodyEncodeCheckpoint(char *streamName, char *appName, char *partitionId, char *seqNumber, DISString *metaData, DISCheckpointType type, char *data, int *bodyLen, int bodyMaxLen);

int DisBodyEncodeRecords(char *streamName, DISPutRecord *record, long recordCount, char *data, int *bodyLen, int bodyMaxLen);

#ifdef __cplusplus
#if __cplusplus
}
#endif /* __cpluscplus */
#endif /* __cpluscplus */

#endif /* _DIS_OS_ADAPT_H_ */