#ifndef _MEM_MGT_H_
#define _MEM_MGT_H_

#ifdef __cplusplus
#if __cplusplus
extern "C" {
#endif /* __cpluscplus */
#endif /* __cpluscplus */

#include "dismem.h"
#include "disosadapt.h"


#define MEM_INIT_FLAG    0xABEF2367

typedef struct MemMgtRegion
{
    long        initFlag;
    MEM_REGION  stMemRegion;
    SM_T        mutex;
}MemMgtRegion;

extern MemMgtRegion g_disMemPool;

unsigned int disMemPoolInit();
unsigned int disMemPoolDeinit();
void  *disMemAlloc(size_t size);
void  disMemFree(void *memPtr);
void  disMemGetRegionInfo();

#ifdef __cplusplus
#if __cplusplus
}
#endif /* __cpluscplus */
#endif /* __cpluscplus */

#endif