#ifndef _DIS_SEND_TASK_
#define _DIS_SEND_TASK_

#ifdef __cplusplus
#if __cplusplus
extern "C" {
#endif /* __cpluscplus */
#endif /* __cpluscplus */

#define MAX_MSG_LEN    (2 * 1024 * 1024)
#define MAX_RECORD_NUM  500

#include "apr_ring.h"

typedef struct _SendTaskList
{
    int Count;
    APR_RING_HEAD(_DisSendListHead, _DisRecordListItem) SendListHeader;
}SendTaskList;

int DisSendTaskInit();
void DisSendTaskProcess(void *param);

#ifdef __cplusplus
#if __cplusplus
}
#endif /* __cpluscplus */
#endif /* __cpluscplus */

#endif
