#ifndef _DIS_NETWORK_H_
#define _DIS_NETWORK_H_

#ifdef __cplusplus
#if __cplusplus
extern "C" {
#endif /* __cpluscplus */
#endif /* __cpluscplus */

typedef struct _CurlCacheItem
{
    APR_RING_ENTRY(_CurlCacheItem) CurlItem;
    CURL  *CurlHandle;
    long   UseCount;
}CurlCacheItem;

typedef struct _CurlCacheList
{
    long volatile InitFlag;
    long  CurrentCount;
    long  MaxCount;
    SM_T  mutex;
    APR_RING_HEAD(_DisCurlCacheListHead, _CurlCacheItem) CurlList;
}CurlCacheList;

DISStatus DisNetworkInit();
void DisNetworkDeinit();
DISStatus   DisSendRequest(DisRequest *pstRequest, DISContext  *disContext, DISResponseInfo *ResponseInfo, char *xSecurityToken);

#ifdef __cplusplus
#if __cplusplus
}
#endif /* __cpluscplus */
#endif /* __cpluscplus */

#endif /* _DIS_NETWORK_H_ */